<?php

/*******************************
 * Main Class to Display Support
 * form and the promo pages
 *******************************/

if( !class_exists('QcldBargainSupportAndPromoPage') ){

	class QcldBargainSupportAndPromoPage{
	
		public $plugin_menu_slug = "wbpt-minimum-acceptable-price-page";
		public $plugin_slug = "wbpt-minimum-acceptable-price-supports";
		public $promo_page_title = "";
		public $promo_menu_title = "";
		public $plugin_name = '';
		
		public $page_slug = "";
		public $relative_folder_url = "";
				
		function __construct( $plugin_slug = null )
		{
			$this->promo_page_title = esc_html__('More WordPress Goodies for You!', 'woo-minimum-acceptable-price');
			$this->promo_menu_title = esc_html__('Support', 'woo-minimum-acceptable-price');
			$this->page_slug = 'wbpt-minimum-acceptable-price-promo-page-' . $plugin_slug;
			$this->relative_folder_url = plugin_dir_url( __FILE__ );
			
			add_action('admin_enqueue_scripts', array( $this, 'include_promo_page_scripts'));
						
		} //End of Constructor
		
		function include_promo_page_scripts( $hook )
		{      
			if( isset($_GET['page']) ){
			   	$pagename = sanitize_text_field($_GET['page']);
			   	if( $pagename === $this->page_slug ){
					wp_enqueue_style( 'qcld-chart-support-lato-font', 'https://fonts.googleapis.com/css?family=Lato');
					wp_enqueue_style( 'qcld-chart-support-font-awesome', $this->relative_folder_url . '/css/font-awesome.min.css', array(), '', 'all');
					wp_enqueue_style( 'qcld-chart-support-style', $this->relative_folder_url . '/css/style.css', array(), '', 'all');
					wp_enqueue_style( 'qcld-chart-support-responsive', $this->relative_folder_url . '/css/responsive.css', array(), '', 'all');
			   	}
			}                          		   
		}
		
		function show_promo_page()
		{
		
			if( $this->plugin_menu_slug == "" ){
			   return;
			}
			
			add_action( 'admin_menu', array(&$this, 'show_promo_page_callback_func'), 99 );
			
		  
		} //End of function show_promo_page
		
		/*Callback function to add the menu */
		function show_promo_page_callback_func()
		{
			add_submenu_page(
				$this->plugin_menu_slug,
				$this->promo_page_title,
				$this->promo_menu_title,
				'manage_options',
				$this->page_slug,
				array( $this, 'qcld_ichart_promo_support_page_callback_func' )
			);
		} //show_promo_page_callback_func
		
		/*Callback function to show the HTML */
		function qcld_ichart_promo_support_page_callback_func()
		{
			
			?>	
				<div class="qc-ichart-support-container qc_support_container"><!--qc_support_container-->
	
				    <div class="qc_tabcontent clearfix-div">
				    	<div class="qc-row">
				            <div class="support-btn-main clearfix-div">
				                
				            
				                <div class="qc-column-12">
									<h4><?php esc_html_e('All our Pro Version users get Premium, Guaranteed Quick, One on One Priority Support.','woo-minimum-acceptable-price') ?></h4>
				                    <div class="support-btn">
				                        <a class="premium-support" href="<?php echo esc_url('https://www.quantumcloud.com/ps/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('GET PRIORITY SUPPORT','woo-minimum-acceptable-price') ?></a>
										<a class="premium-support premium-support-width" href="<?php echo esc_url('https://www.quantumcloud.com/resources/kb-sections/bargain-bot','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Online KnowledgeBase','woo-minimum-acceptable-price') ?></a>
				                    </div>

				                </div>
								<div class="qc-column-12" style="margin-top: 12px;">
									<div class="support-btn">
				                        
										<a class="premium-support premium-support-free" href="<?php echo esc_url('https://www.quantumcloud.com/resources/free-support/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Get Support for Free Version','woo-minimum-acceptable-price') ?></a>
				                    </div>
				                </div>
				            </div>
				        </div>

				        <div class="qc-row qc-support-product-column">
				            <div class="qc-support-product-inn">
				                <div class="plugin-title-section">
				    			    <h2 class="plugin-title plugin-title-custom" ><?php esc_html_e('Check Out Some of Our Other Works that Might Make Your Website Better','woo-minimum-acceptable-price') ?></h2>
				                    <h3 class="qc-product-type"><?php esc_html_e('Innovative Plugins','woo-minimum-acceptable-price') ?></h3>
				                </div>

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/knowledgebase-helpdesk/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/knowledgebase-helpdesk.jpg" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/knowledgebase-helpdesk/','woo-minimum-acceptable-price') ?>" target="_blank" rel="noopener noreferrer"><?php esc_html_e('KB & HelpDesk w/ ChatBot','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><p><?php esc_html_e('KnowledgeBase HelpDesk is an advanced Knowledgebase plugin with helpdesk','woo-minimum-acceptable-price') ?><strong>, </strong><?php esc_html_e('glossary and FAQ features all in one.  KnowledgeBase HelpDesk is extremely simple and easy to use.','woo-minimum-acceptable-price') ?></p></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->


				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/woocommerce-chatbot-woowbot/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/logo-1.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/woocommerce-chatbot-woowbot/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('WoowBot WooCommerce ChatBot','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('WooWBot is a','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('ChatBot for WooCommerce','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('with zero configuration or bot training required. This WooCommerce based Shop Bot that can help','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Increase your store Sales','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('perceptibly.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/chatbot-for-wordpress/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/wpboticon-256x256-1.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/chatbot-for-wordpress/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('WPBot – ChatBot for WordPress','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('WPBot is a ChatBot for','woo-minimum-acceptable-price') ?><strong> <?php esc_html_e('any WordPress website','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('that can improve user engagement, answer questions &amp; help','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('generate more leads','woo-minimum-acceptable-price') ?></strong>. <?php esc_html_e('Integrated with','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Google','woo-minimum-acceptable-price') ?></strong>‘s <strong><?php esc_html_e('DialogFlow (AI and NLP).','woo-minimum-acceptable-price') ?></strong></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/simple-business-directory/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/icon.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/simple-business-directory/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Simple Business Directory w/ Maps','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('This innovative and powerful, yet','woo-minimum-acceptable-price') ?><strong> <?php esc_html_e('Simple &amp; Multi-purpose Business Directory','woo-minimum-acceptable-price') ?> </strong> <?php esc_html_e('WordPress PlugIn allows you to create comprehensive Lists of Businesses with maps and tap to call features.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/slider-hero','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/slider-hero-icon-256x256.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/slider-hero/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Slider Hero','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('Slider Hero is a unique slider plugin that allows you to create','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Cinematic Product Intro Adverts','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('and ','woo-minimum-acceptable-price') ?>
				                            <strong><?php esc_html_e('Hero sliders','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('with great Javascript animation effects.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/simple-link-directory/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/sld-icon-256x256.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/simple-link-directory/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Simple Link Directory','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('Directory plugin with a unique approach! Simple Link Directory is an advanced WordPress Directory plugin for One Page 
				                            directory and Content Curation solution.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->


				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/infographic-maker-ilist/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/iList-icon-256x256.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/infographic-maker-ilist/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('InfoGraphic Maker – iList','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('iList is first of its kind','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('InfoGraphic maker','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('WordPress plugin to create Infographics and elegant Lists effortlessly to visualize data. It is a must have content creation and content curation tool.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/portfolio-x-plugin/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/portfolio-x-logo-dark-2.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/portfolio-x-plugin/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Portfolio X','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('Portfolio X is an advanced, responsive portfolio with streamlined workflow and unique designs and templates to show your works or projects.','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Portfolio Showcase','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('and','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Portfolio Widgets','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('are included.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/comment-link-remove/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/Comment-Link-Remove-300x300-1.jpg" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/comment-link-remove/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Comment Tools w/ Sentiment Analysis','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('Comment Tools Pro adds an arsenal of','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('practical tools','woo-minimum-acceptable-price') ?></strong>. <?php esc_html_e('It','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('reduces spammy','woo-minimum-acceptable-price') ?></strong>, <?php esc_html_e('low quality comments and','woo-minimum-acceptable-price') ?><strong> <?php esc_html_e('increases user interactivity','woo-minimum-acceptable-price') ?> </strong><?php esc_html_e('and','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('content value','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('of your blog.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->
				                

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/woocommerce-shop-assistant-jarvis/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/jarvis-icon-256x256.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/woocommerce-shop-assistant-jarvis/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Action Buttons for WooCommerce','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('WooCommerce Shop Assistant –','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('JARVIS','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('shows recent user activities, provides advanced search, floating cart, featured products, store notifications, order notifications – all in one place for easy access by buyer and make quick decisions.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/express-shop/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/express-shop.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/express-shop/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Express Shop','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('Express Shop is a WooCommerce addon to show all products in one page. User can add products to cart and go to checkout. 
				                            Filtering and search integrated in single page.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/woo-tabbed-category-product-listing/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/woo-tabbed-icon-256x256.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/woo-tabbed-category-product-listing/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Woo Tabbed Category Products','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('WooCommerce plugin that allows you to showcase your products category wise in tabbed format. This is a unique woocommerce plugin that lets dynaimically load your products in tabs based on your product categories .','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/ichart/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/ilist-chat.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/ichart/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('iChart – Charts, Graphs and Data Tables','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><strong><?php esc_html_e('Responsive, HTML5','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('Charts, Graphs and','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Data Tables','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('are now easy to build and add to any WordPress page with just a few clicks.','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Import/Export','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('Charts,','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Links','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('in the Chart Data,','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('ToolTip','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('text, Live Chart','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Preview','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('and more!','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/chatbot-addons/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/chatbot-addons.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/chatbot-addons/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('ChatBot Addons','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('Empower','woo-minimum-acceptable-price') ?> <a href="https://www.quantumcloud.com/products/chatbot-for-wordpress/" target="_blank" rel="noopener noreferrer"><?php esc_html_e('WPBot','woo-minimum-acceptable-price') ?></a> <?php esc_html_e('and','woo-minimum-acceptable-price') ?> <a href="https://www.quantumcloud.com/products/woocommerce-chatbot-woowbot/" target="_blank" rel="noopener noreferrer"><?php esc_html_e('WoowBot','woo-minimum-acceptable-price') ?></a> – <?php esc_html_e('Extend Capabilities with AddOns! FaceBook messenger, white label and more!','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->
				                
				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://wordpress.org/plugins/increase-sales/','woo-minimum-acceptable-price') ?>"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/icon-256x256.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://wordpress.org/plugins/increase-sales/','woo-minimum-acceptable-price') ?>"><?php esc_html_e('Increase Sales','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('Increase Sales is a new and unique WooCommerce addon that strategically places your cross-sells products inline inside, at top or bottom of the Cart during checkout.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				    			<div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/seo-help','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/seo-help.jpg" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/seo-help','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('SEO Help','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('SEO Help is a unique WordPress plugin to help you write better Link Bait titles. The included LinkBait title generator will take the 
				    						WordPress post title as Subject and generate alternative ClickBait titles for you to choose from.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/plugins/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/coming-soon-special.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/plugins/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Something Exciting','woo-minimum-acceptable-price') ?></a></h4>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				            </div>

				        </div>
				        <!--qc row-->
				        
				        <div class="qc-row qc-support-product-column">
				            <div class="qc-support-product-inn">
				                <div class="plugin-title-section">
				                    <h2 class="plugin-title plugin-title-custom" ><?php esc_html_e('Premium Themes that Add Perceptible Value to Your Website.','woo-minimum-acceptable-price') ?></h2>
				                    <h3 class="qc-product-type"><?php esc_html_e('Creative Themes','woo-minimum-acceptable-price') ?></h3>
				                </div>

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/knowledgebase-theme/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/premium-theme-kbx-1.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/knowledgebase-theme/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('KnowledgeBase X Theme','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('KnowledgeBase HelpDesk is an advanced Knowledgebase plugin with helpdesk','woo-minimum-acceptable-price') ?><strong>, </strong><?php esc_html_e('glossary and FAQ features all in one. Make the best out of our','woo-minimum-acceptable-price') ?> <a href="https://www.quantumcloud.com/products/knowledgebase-helpdesk/" target="_blank" rel="noopener"><?php esc_html_e('KnowledgeBase X','woo-minimum-acceptable-price') ?></a> <?php esc_html_e('plugin','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/knowledgebase-theme/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/premium-theme-woowbot.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/knowledgebase-theme/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('WooCommerce ChatBot Theme','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('WoowBot is a','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Plug n’ play','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('Shopping Chat Bot that can help','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Increase your store Sales','woo-minimum-acceptable-price') ?></strong>. <?php esc_html_e('Make the best out of the popular','woo-minimum-acceptable-price') ?> <a href="https://www.quantumcloud.com/products/woocommerce-chatbot-woowbot/" target="_blank" rel="noopener"><?php esc_html_e('WoowBot plugin','woo-minimum-acceptable-price') ?></a> <?php esc_html_e('for WooCommerce.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/chatbot-theme/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/premium-theme-chatbot-master.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/chatbot-theme/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('WPBot – ChatBot Master Theme','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('WPBot is a ChatBot for','woo-minimum-acceptable-price') ?><strong> <?php esc_html_e('any WordPress website','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('that can improve user engagement, answer questions &amp; help','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('generate more leads','woo-minimum-acceptable-price') ?></strong>. <?php esc_html_e('Make the best out of the popular','woo-minimum-acceptable-price') ?> <a href="https://www.quantumcloud.com/products/chatbot-for-wordpress/" target="_blank" rel="noopener"><?php esc_html_e('WPBot plugin','woo-minimum-acceptable-price') ?></a>.</p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/simple-business-directory-theme/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/premium-theme-sbd.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/simple-business-directory-theme/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Simple Business Directory Theme','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('This innovative and powerful, yet','woo-minimum-acceptable-price') ?><strong> <?php esc_html_e('Simple &amp; Multi-purpose Business Directory','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('theme is perfect for our','woo-minimum-acceptable-price') ?> <a href="https://www.quantumcloud.com/products/simple-business-directory/"><?php esc_html_e('SBD plugin','woo-minimum-acceptable-price') ?></a> <?php esc_html_e('to meet all your business directory needs.','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/simple-blog/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/premium-theme-simple-blog.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/simple-blog/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Simple Blog Theme','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('Crafted carefully to provide the best blogging experiences! One Click Install, Demo Data, Compatible with the','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Elementor','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('and the','woo-minimum-acceptable-price') ?> <strong><?php esc_html_e('Gutenberg','woo-minimum-acceptable-price') ?></strong> <?php esc_html_e('Page Builder!','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/simple-link-directory/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/premium-theme-sld.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/simple-link-directory/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Simple Link Directory Theme','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('Simple Link Directory is an advanced WordPress Directory plugin for One Page directory and Content Curation solution. Get the best of the SLD plugin!','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/woo-tabbed-theme/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/premium-theme-wootabbed.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/woo-tabbed-theme/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('WooTabbed Theme','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('Crafted carefully to make the best out of the popular','woo-minimum-acceptable-price') ?> <a href="https://www.quantumcloud.com/products/woo-tabbed-category-product-listing/" target="_blank" rel="noopener"><?php esc_html_e('WooTabbed','woo-minimum-acceptable-price') ?> </a><?php esc_html_e('for WooCommerce. Get a shopping theme that sells!','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/express-shop-theme/','woo-minimum-acceptable-price') ?>" target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/premium-theme-express-shop.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/express-shop-theme/','woo-minimum-acceptable-price') ?>" target="_blank"><?php esc_html_e('Express Shop Theme','woo-minimum-acceptable-price') ?></a></h4>
				                            <p><?php esc_html_e('Crafted carefully to make the best out of the popular','woo-minimum-acceptable-price') ?> <a href="https://www.quantumcloud.com/products/woo-tabbed-category-product-listing/" target="_blank" rel="noopener"><?php esc_html_e('WooTabbed','woo-minimum-acceptable-price') ?> </a><?php esc_html_e('for WooCommerce. Get a shopping theme that sells!','woo-minimum-acceptable-price') ?></p>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                <div class="qc-column-4"><!-- qc-column-4 -->
				                    <!-- Feature Box 1 -->
				                    <div class="support-block ">
				                        <div class="support-block-img">
				                            <a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/','woo-minimum-acceptable-price') ?>"  target="_blank"> <img src="<?php echo esc_url(plugin_dir_url(__FILE__)); ?>images/premium-theme-coming-soont.png" alt=""></a>
				                        </div>
				                        <div class="support-block-info">
				                            <h4><a href="<?php echo esc_url('https://www.quantumcloud.com/products/themes/','woo-minimum-acceptable-price') ?>"  target="_blank"><?php esc_html_e('Coming Soon!','woo-minimum-acceptable-price') ?></a></h4>

				                        </div>
				                    </div>
				                </div><!--/qc-column-4 -->

				                

				            </div>

				        </div>

				    </div>
				    
				</div><!--qc_support_container-->
				
			<?php
		} //End of qcld_ichart_promo_support_page_callback_function
		
		
	
	} //End of the class QcldBargainSupportAndPromoPage


} //End of class_exists


/*
* Create Instance, set instance variables and then call appropriate worker.
*/

$instance_iChart = new QcldBargainSupportAndPromoPage('bargain-bot');

if( is_admin() )
{
	$instance_iChart->plugin_menu_slug = "wbpt-minimum-acceptable-price-page";
	$instance_iChart->plugin_name = "Bargaining Chatbot";
	$instance_iChart->show_promo_page();
}
